	SQUASHFS 4.2 - A squashed read-only filesystem for Linux

	Copyright 2002-2011 Phillip Lougher <phillip@lougher.demon.co.uk>

	Released under the GPL licence (version 2 or later).

Welcome to Squashfs 4.2.  This is a tools only release, support for Squashfs
filesystems is in mainline (2.6.29 and later).

New features in Squashfs-tools 4.2
----------------------------------

  1. Support for XZ compression
  2. Support for compressor specific options

Compatiblity
------------

Mksquashfs 4.2 generates 4.0 filesystems.  These filesystems are fully
compatible/interchangable with filesystems generated by Mksquashfs 4.0 and are
mountable on 2.6.29 and later kernels.

XZ compression
--------------

Squashfs now supports XZ compression.  

XZ support is in 2.6.38 and newer kernels.

New Mksquashfs options
----------------------

-X<compressor-option>

  Compression algorithms can now support compression specific options.  These
options are prefixed by -X, and are passed to the compressor for handling.

  The compression specific options supported by each compressor can be
found by typing mksquashfs without any arguments.  They are displayed at the
end of the help message, e.g. 

Compressors available and compressor specific options:
	gzip (no options) (default)
	lzo (no options)
	xz
	  -Xbcj filter1,filter2,...,filterN
		Compress using filter1,filter2,...,filterN in turn
		(in addition to no filter), and choose the best compression.
		Available filters: x86, arm, armthumb, powerpc, sparc, ia64
	  -Xdict-size <dict-size>
		Use <dict-size> as the XZ dictionary size.  The dictionary size
		can be specified as a percentage of the block size, or as an
		absolute value.  The dictionary size must be less than or equal
		to the block size and 8192 bytes or larger.  It must also be
		storable in the xz header as either 2^n or as 2^n+2^(n+1).
		Example dict-sizes are 75%, 50%, 37.5%, 25%, or 32K, 16K, 8K
		etc.
